Skip to main content
GET
/
v2
/
quote
Quote
curl --request GET \
  --url https://api.bebop.xyz/jam/{chain}/v2/quote
{
  "requestId": "971da938-4c62-420b-b6d6-4f234abb25f5",
  "type": "121",
  "status": "Success",
  "quoteId": "12321539-2a28-42cb-9328-b0159f5b15b6",
  "chainId": 1,
  "approvalType": "Standard",
  "nativeToken": "ETH",
  "taker": "0x5Bad996643a924De21b6b2875c85C33F3c5bBcB6",
  "receiver": "0x5Bad996643a924De21b6b2875c85C33F3c5bBcB6",
  "expiry": 1772813548,
  "slippage": 0.1,
  "gasFee": {
    "native": "0",
    "usd": 0
  },
  "buyTokens": {
    "0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2": {
      "amount": "507481070765462272",
      "decimals": 18,
      "priceUsd": 1980.81,
      "symbol": "WETH",
      "minimumAmount": "506973589694696809",
      "price": 1970.5168480306936,
      "priceBeforeFee": 1970.5168480306936,
      "amountBeforeFee": "507481070765462272",
      "deltaFromExpected": 0.005272838152004709
    }
  },
  "sellTokens": {
    "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48": {
      "amount": "1000000000",
      "decimals": 6,
      "priceUsd": 0.999951,
      "symbol": "USDC",
      "price": 0.0005074810707654622,
      "priceBeforeFee": 0.0005074810707654622
    }
  },
  "settlementAddress": "0xbeb0b0623f66bE8cE162EbDfA2ec543A522F4ea6",
  "approvalTarget": "0xC5a350853E4e36b73EB0C24aaA4b8816C9A3579a",
  "requiredSignatures": [],
  "priceImpact": 0.005272838152004709,
  "warnings": [],
  "tx": {
    "chainId": 1,
    "from": "0x5Bad996643a924De21b6b2875c85C33F3c5bBcB6",
    "to": "0xbeb0b0623f66bE8cE162EbDfA2ec543A522F4ea6",
    "value": "0x0",
    "data": "0x2143d82c00...",
    "gas": 593494
  },
  "hooksHash": "0x0000000000000000000000000000000000000000000000000000000000000000",
  "toSign": {
    "taker": "0x5Bad996643a924De21b6b2875c85C33F3c5bBcB6",
    "receiver": "0x5Bad996643a924De21b6b2875c85C33F3c5bBcB6",
    "expiry": 1772813548,
    "exclusivityDeadline": 1772813548,
    "nonce": "24186149226709209968603110968399697334",
    "executor": "0x0000000000000000000000000000000000000000",
    "partnerInfo": "0",
    "sellTokens": [
      "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"
    ],
    "buyTokens": [
      "0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2"
    ],
    "sellAmounts": [
      "1000000000"
    ],
    "buyAmounts": [
      "506973589694696809"
    ],
    "hooksHash": "0x0000000000000000000000000000000000000000000000000000000000000000"
  },
  "solver": "🍆"
}

Headers

source-auth
string | null

Source auth token

Query Parameters

sell_tokens
string
required

The tokens that will be supplied by the taker

Example:

"0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"

buy_tokens
string
required

The tokens that will be supplied by the maker

Example:

"0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2"

sell_amounts
string

The amount of each taker token, order respective to taker_tokens

Example:

"1000000000"

buy_amounts
string | null

The amount of each maker token, order respective to maker_tokens

taker_address
string
required

Address which will sign the order

Example:

"0x5Bad996643a924De21b6b2875c85C33F3c5bBcB6"

receiver_address
string | null

Address which will receive the taker tokens. (Defaults to taker_address if not specified)

source
string | null

Referral partner that will be associated with the quote.

approval_type
enum<string>
default:Standard

Type of Approval for EVM: Standard/Permit/Permit2

Available options:
Standard,
Permit,
Permit2
buy_tokens_ratios
string | null

Ratios of maker tokens to receive for each taker token

sell_tokens_ratios
string | null

Ratios of taker tokens to receive for each maker token

gasless
boolean

Set to false to receive call data and self execute.

slippage

The slippage to use

origin_address
string | null

Original user of the quote if different than taker.

include_solvers
string | null

The list of solvers to include

fee_recipient
string | null

The recipient of the fee

fee
integer
default:0

Fee (bps) to be charged for this quote

Response

Successful Response

requestId
string
required
type
string
required
status
string
required
quoteId
string
required
chainId
integer
required
approvalType
enum<string>
required
Available options:
Standard,
Permit,
Permit2
nativeToken
string
required
taker
string
required
receiver
string
required
expiry
integer
required
slippage
number
required
gasFee
GasFeeResponse · object
required
buyTokens
Buytokens · object
required
sellTokens
Selltokens · object
required
settlementAddress
string
required
approvalTarget
string
required
requiredSignatures
string[]
required
hooksHash
string
required
toSign
Tosign · object
required
solver
string
required
priceImpact
number | null
partnerFee
Partnerfee · object
protocolFee
Protocolfee · object
warnings
PriceWarning · object[]
info
string | null
tx
TxData · object
solana_tx
string | null
blockhash
string | null